Subject: Re: [bfcpbis] Can not find Transaction ID 154 in Figure 48 in draft-ietf-bfcpbis-rfc4582bis-16 Appendix A.

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 26 Sep 2018 11:04:20 +0000

Adding the list to verify if the proposed change is correct and sufficient.

Cheers,
Charles

From: Charles Eckel <[email-masked]>
Date: Tuesday, September 18, 2018 at 10:38 PM
To: Tom Kristensen <[email-masked]>, bianxg <[email-masked]>, Gonzalo Camarillo <[email-masked]>
Cc: Keith Drage <[email-masked]>, Tom Kristensen <[email-masked]>, Joerg Ott <[email-masked]>
Subject: Re: Can not find Transaction ID 154 in Figure 48 in draft-ietf-bfcpbis-rfc4582bis-16 Appendix A.

Isn’t it implicitly ack-ing transaction ID 126?
I believe the information in the figure is correct. The text description following the figure would need to be updated as follows:

OLD:
   Note that in Figure 48, the FloorRequestStatus message from the floor
   control server to the floor participant is a transaction-closing
   message as a response to the client-initiated transaction with
   Transaction ID 154.
NEW:
   Note that in Figure 48, the FloorRequestStatus message from the floor
   control server to the floor participant is a transaction-closing
   message as a response to the client-initiated transaction with
   Transaction ID 126.

Tom, Bian, do you agree?

Thanks,
Charles

From: Tom Kristensen <[email-masked]>
Date: Monday, September 17, 2018 at 3:34 AM
To: bianxg <[email-masked]>, Gonzalo Camarillo <[email-masked]>
Cc: Keith Drage <[email-masked]>, Tom Kristensen <[email-masked]>, Joerg Ott <[email-masked]>, Charles Eckel <[email-masked]>
Subject: SV: Can not find Transaction ID 154 in Figure 48 in draft-ietf-bfcpbis-rfc4582bis-16 Appendix A.

Good catch!

So yes, you are right and this is wrong - from what I can understand too.

The FloorRequestStatus​ that is implicitly ack-ing has transaction ID 123, the same as the initial FloorRequest.

-- Tom

________________________________
Fra: bianxg <[email-masked]>
Sendt: 17. september 2018 12:15
Til: gonzalo.camarillo
Kopi: drage; Tom Kristensen (tomkrist); tomkri; jo; Charles Eckel (eckelcu)
Emne: Can not find Transaction ID 154 in Figure 48 in draft-ietf-bfcpbis-rfc4582bis-16 Appendix A.

Hi,

I can not find  Transaction ID 154 in Figure 48 in draft-ietf-bfcpbis-rfc4582bis-16 Appendix A. Or my wrong understand. Thanks.

Note that in Figure 48, the FloorRequestStatus message from the floor

   control server to the floor participant is a transaction-closing

   message as a response to the client-initiated transaction with

   Transaction ID 154.  As such, it is not followed by a

   FloorRequestStatusAck message from the floor participant to the floor

   control server.

Bian